=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2006-11-16 17:59:07 +0000
+++ bzrlib/osutils.py	2007-01-01 21:36:31 +0000
@@ -25,6 +25,7 @@
 
 from bzrlib.lazy_import import lazy_import
 lazy_import(globals(), """
+from datetime import datetime
 import errno
 from ntpath import (abspath as _nt_abspath,
                     join as _nt_join,
@@ -552,14 +553,10 @@
 
 def local_time_offset(t=None):
     """Return offset of local zone from GMT, either at present or at time t."""
-    # python2.3 localtime() can't take None
     if t is None:
         t = time.time()
-        
-    if time.localtime(t).tm_isdst and time.daylight:
-        return -time.altzone
-    else:
-        return -time.timezone
+    offset = datetime.fromtimestamp(t) - datetime.utcfromtimestamp(t)
+    return offset.days * 86400 + offset.seconds
 
     
 def format_date(t, offset=0, timezone='original', date_fmt=None, 

